textures/dreik_more/light_block // solid, transparent polygons, casts shadows
{
	qer_trans .25
	surfaceparm nolightmap
	surfaceparm nonsolid
	//surfaceparm trans
	surfaceparm nodraw
	//surfaceparm nomarks			
//        {
//              map textures/common/invisible.tga
//              alphaFunc GE128
//		depthWrite
//		rgbGen vertex
//        }
}

textures/dreik_more/blackness
{
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/dreik_more/blackness.tga
	}
}



textures/dreik_more/flame_1
{
	qer_editorimage textures/dreik_more/flame_1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
        surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/dreik_more/flame_1.tga textures/dreik_more/flame_2.tga textures/dreik_more/flame_3.tga textures/dreik_more/flame_4.tga textures/dreik_more/flame_5.tga textures/dreik_more/flame_6.tga textures/dreik_more/flame_7.tga textures/dreik_more/flame_8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/dreik_more/flame_2.tga textures/dreik_more/flame_3.tga textures/dreik_more/flame_4.tga textures/dreik_more/flame_5.tga textures/dreik_more/flame_6.tga textures/dreik_more/flame_7.tga textures/dreik_more/flame_8.tga textures/dreik_more/flame_1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/dreik_more/flameball_2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/dreik_more/flame_1_autosprite
{
	qer_editorimage textures/dreik_more/flame_1.tga
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
        surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/dreik_more/flame_1.tga textures/dreik_more/flame_2.tga textures/dreik_more/flame_3.tga textures/dreik_more/flame_4.tga textures/dreik_more/flame_5.tga textures/dreik_more/flame_6.tga textures/dreik_more/flame_7.tga textures/dreik_more/flame_8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/dreik_more/flame_2.tga textures/dreik_more/flame_3.tga textures/dreik_more/flame_4.tga textures/dreik_more/flame_5.tga textures/dreik_more/flame_6.tga textures/dreik_more/flame_7.tga textures/dreik_more/flame_8.tga textures/dreik_more/flame_1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/dreik_more/flameball_2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/dreik_more/fence_w
{
	qer_editorimage textures/dreik_more/fence_w.tga
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/dreik_more/fence_w.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dreik_more/fence_nonsolid
{
	qer_editorimage textures/dreik_more/fence_w.tga
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/dreik_more/fence_w.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dreik_more/grill
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/dreik_more/grill.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
/////////////////////////////////////////DECALS//////////////////////////////////////////////////////

textures/bod_misc/layer_blood_1_256x512
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/bod_misc/layer_blood_1_256x512.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bod_misc/layer_blood_2_256x512
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/bod_misc/layer_blood_2_256x512.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_1_256x128
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_1_256x128.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_1_512x256
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_1_512x256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_4_256x128
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_4_256x128.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_4_512x256
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_4_512x256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_7_256x128
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_7_256x128.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_7_512x256
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_7_512x256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_8_512x256
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_8_512x256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_9_128x128
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_9_128x128.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_9_256x256
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_9_256x256.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewers_decals/damage_concrete_9_512x512
{
	qer_trans 1.0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	//nopicmip

	{
		map textures/sewers_decals/damage_concrete_9_512x512.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

///////////////////////////////////////////////////GLASS////////////////////////////////////////////////////////
textures/dreik_more/glass_w_effect
{
        qer_trans .25
        surfaceparm alphashadow
        surfaceparm nodamage
        //surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/dreik_more/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/dreik_more/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/dreik_more/clip_glass
{
	qer_trans 0.25
	surfaceparm trans
	surfaceparm nodamage
	cull none
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/dreik_more/glass_jk2
{
cull none
surfaceparm nomarks
surfaceparm trans
surfaceparm alphashadow
qer_trans 0.25
{
map textures/dreik_more/etest4.jpg
tcGen environment
blendfunc add
}
{
map textures/dreik_more/glass.tga
blendFunc blend
}
} 



//FLAG TEXTURE
//textures/dreik_misc/marzipan
//		{
//		tessSize 64
//		deformVertexes wave 194 sin 0 3 0 .4
//		deformVertexes normal .3 .2
//		surfaceparm nomarks
//		surfaceparm nonsolid
//			{
//			map textures/dreik_misc/marzipan.jpg
//			rgbGen identity
//			}
//				{
//				map textures/dreik_misc/marzipan.jpg
//				blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//				rgbGen identity
//				}
//					{
//					map $lightmap
//					blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//					rgbGen identity
//					}
//}

//FAN
textures/dreik_more/fan_big
{
	qer_editorimage textures/urbanq3_misc2/fan3bladeb.tga
	qer_trans 1.0
	cull disable
	surfaceparm trans	
	surfaceparm nolightmap
      		{
	        clampmap textures/urbanq3_misc2/fan3bladeb.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
		}
        
}

//PORTAL
textures/dreik_more/cam_glass
{
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/dreik_more/looking_glass_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/dreik_more/q3a_looking_glass_fog.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen identityLighting
        tcMod rotate -15
        tcmod scroll -0.05 0.25
    }
}

textures/dreik_more/plasma_ball
{
	qer_editorimage textures/dreik_more/8661.jpg
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 5 textures/dreik_more/8661.jpg textures/dreik_more/8661-v1.jpg textures/dreik_more/8661-v2.jpg textures/dreik_more/8661-v3.jpg textures/dreik_more/8661-v4.jpg textures/dreik_more/8661-v5.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 5 textures/dreik_more/8661-v1.jpg textures/dreik_more/8661-v2.jpg textures/dreik_more/8661-v3.jpg textures/dreik_more/8661-v4.jpg textures/dreik_more/8661-v5.jpg textures/dreik_more/8661.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	//{
	//	map textures/dreik_more/flameball_2.tga
	//	blendFunc GL_ONE GL_ONE
	//	rgbGen wave sin .6 .2 0 .6	
	//}

}
